profile
viewpoint
Daniel Kraus dakra Karlsruhe, Germany

dakra/dmacs 72

Emacs Literate Configuration with borg

dakra/brain-fm 7

Play music from brain.fm in Emacs

dakra/auto-display-battery 2

Automatically show/hide battery status

dakra/cds-mode 2

Emacs major mode for editing Core Data Services (CDS) files

dakra/datomic.el 2

Utility functions for working with Datomic projects

dakra/ace-link 0

Quickly follow links in Emacs

dakra/algoliasearch-client-python 0

Algolia Search API Client for Python

dakra/anaconda-mode 0

Code navigation, documentation lookup and completion for Python.

dakra/apache-mode 0

Major mode for editing Apache configuration files

issue commentmagit/forge

github 422 when creating pull request from fork

@tarsius: Thanks a lot for all the great stuff you put out there!

I am having the same issue with the current master. Shall I create a new issue, or we can get this re-opened ?

Additional info I keep all my forks in a dedicated org of mine and I create my pull requests from there. My username is iocanel and my forks are hosted under ioforks.

When I create pull requests, I do seem to get the exact same error!

It seems to me that in forge--submit-create-pullreq the (oref head-repo owner) returns my github username (iocanel) instead of the org from which the pull request gets created (ioforks).

MartinNowak

comment created time in 2 hours

issue commentch11ng/exwm

What are exwm's default keybindings?

Thank you for replying! I did indeed check the wiki, and while there are SOME listed there, if you look at the introduction to this section it says:

Global key bindings can be defined by customizing exwm-input-global-keys. By default there is no global key biding. Key bindings in the following table are recommended however:

Which just adds to my confusion!

0atman

comment created time in 2 hours

issue commentch11ng/exwm

What are exwm's default keybindings?

Did you check the wiki? At first glance most of these are listed there.

0atman

comment created time in 2 hours

issue commentakermu/emacs-libvterm

"Wrong number of arguments" error after update to new vterm.el

I've the same error with vterm-20210111.522 and have just rebuilt as well...

-- The C compiler identification is GNU 10.2.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- No build type selected, defaulting to RelWithDebInfo
-- System libvterm detected
-- Configuring done
-- Generating done
-- Build files have been written to: /home/user/.config/emacs/elpa/vterm-20210111.522/build
Scanning dependencies of target vterm-module
[ 25%] Building C object CMakeFiles/vterm-module.dir/vterm-module.c.o
[ 50%] Building C object CMakeFiles/vterm-module.dir/utf8.c.o
[ 75%] Building C object CMakeFiles/vterm-module.dir/elisp.c.o
[100%] Linking C shared module ../vterm-module.so
[100%] Built target vterm-module
/home/user/.config/emacs/elpa/vterm-20210111.522

M-x veterm gives...

vterm-mode: Wrong number of arguments: #<module function Fvterm_new from /usr/lib64/emacs/modules/vterm/vterm-module.so>, 7
halloleo

comment created time in 2 hours

PR opened melpa/melpa

add recipe for lsp-tailwindcss

Brief summary of what the package does

Add lsp support for tailwindcss with tailwindcss-intellisense

Direct link to the package repository

https://github.com/merrickluo/lsp-tailwindcss

Your association with the package

Author.

Relevant communications with the upstream package maintainer

None needed

Checklist

Please confirm with x:

  • [x] The package is released under a GPL-Compatible Free Software License.
  • [x] I've read CONTRIBUTING.org
  • [x] I've used the latest version of package-lint to check for packaging issues, and addressed its feedback
  • [x] My elisp byte-compiles cleanly
  • [x] M-x checkdoc is happy with my docstrings
  • [x] I've built and installed the package using the instructions in CONTRIBUTING.org
  • [ ] I have confirmed some of these without doing them
+1 -0

0 comment

1 changed file

pr created time in 5 hours

pull request commentmetosin/malli

Schema parsing / conform

Also, match, parse or even destructure would be a more usual name, especially if it is not going to be as similar to Spec as it is now.

nilern

comment created time in 6 hours

PR opened metosin/malli

Extend `:qualified-keyword` predicate with `{:namespace <keyword>}` properties
  • Test against [:qualified-keyword {:namespace <keyword>}] schema
  • Add schema example in README.md
+16 -7

0 comment

3 changed files

pr created time in 8 hours

Pull request review commentmetosin/malli

Fix crash in humanize for maps

 (defn- -assoc-in [acc value [p & ps] error]   (cond     p (let [acc' (-ensure (or acc (empty value)) p)-            value' (if ps (-assoc-in (-get acc p) (-get value p) ps error) error)]-        (-put acc' p value'))+            error' (if (or ps (map? value))

Yeah, I think dropping errors in certain cases sounds good. It's a bit of a gotcha, I think, to have to check the metadata, but probably most of the time people can just ignore it until they start doing more fancy stuff. Or possibly they will use me/error-path and me/error-message if they need more precision.

It's a bit of a toss up in my mind as to whether to treat maps the same as everything else, or always put errors inside them. One thing you might consider is returning set errors in a map as well so we can tell which elements had which errors. In fact, that would work for sequences too - to have their errors returned in maps from index to error vector.

soulplant

comment created time in 10 hours

pull request commentmelpa/melpa

Recipe for crossword.el

On 2021-01-19 20:35, Chris Rayner wrote:

Those come from [1]this script and really they're fyi/optional.

OK. Got it.

hkp://keys.gnupg.net CA45 09B5 5351 7C11 A9D1 7286 0036 9E45 1595 8BC0

Boruch-Baum

comment created time in 11 hours

issue openedemacs-lsp/lsp-java

README is outdated

The FAQ section in README.md still mentions lsp-inhibit-message, but that variable has been removed from lsp-mode (since v6.x ?).

I'm not sure whether lsp-log-io replaces lsp-inhibit-message, but since lsp-log-io is nil by default, maybe that part in the FAQ should be removed? (I was going to do that, but then above questions pop up in my head)

Also, lsp-inhibit-message still appears in features/support/env.el

created time in 11 hours

Pull request review commentraxod502/apheleia

[DRAFT] Basic Automated Test Harness

+#!/usr/bin/env bash+":"; exec emacs --script "$0" -- "$@" # -*- mode: emacs-lisp; lexical-binding: t; -*-++;;; Usage: test-apheleia.el [OPTIONS] FILE MODE FORMATTER+;;; FILE is a path to a file to be formatted+;;; MODE is the desired active major mode+;;; FORMATTER is the formatter to be run++(require 'apheleia (expand-file-name "../apheleia.el"))++(defun usage ()+  (with-temp-buffer+    (insert "Usage: test-apheleia.el FILE MODE FORMATTER\n\n"+            "FILE is a path to a file to be formatted\n"+            "MODE is the desired active major mode\n"+            "FORMATTER is the formatter to be run")+    (buffer-string)))++(defun get-file ()+  "Get and return FILE from command line arguments."+  (elt argv 1))++(defun get-mode ()+  "Get and return MODE from command line arguments."+  (intern (elt argv 2)))++(defun get-formatter ()+  "Get and return FORMATTER from command line arguments."+  (intern (elt argv 3)))++(defun validate-args ()+  "Validate command line arguments."+  ;; First argument is always -- from the shebang.+  (unless (= (length argv) 4)+    (error (usage)))+  (let ((file (get-file))+        (mode (get-mode))+        (formatter (get-formatter)))+    (if (file-exists-p file)+        (unless (file-readable-p file)+          (error (format "Cannot read file: %s" file)))+      (error (format "File not found: %s" file)))+    (unless (assoc mode apheleia-mode-alist)+      (error (format "Mode not found in apheleia-mode-alist: %s"+                     (symbol-name mode))))+    (unless (assoc formatter apheleia-formatters)+      (error (format "Formatter not found in apheleia-formatters: %s"+                     (symbol-name formatter))))))++(validate-args)++;(setq file (get-file))+;(setq mode (get-mode))+;(setq formatter (get-formatter))+++(let* ((f "formatters/python-mode/black.py")+       (mode 'python-mode)+       (hoist t))+  (with-temp-buffer+    (insert-file-contents f)+    (apheleia--run-formatter+     (alist-get (alist-get mode apheleia-mode-alist)+                apheleia-formatters)+     (lambda (buf)+       (with-current-buffer buf+         ;(buffer-string)+         (write-file "/tmp/klsdfkljd"))))))

All output from test-apheleia.el should be coming from the apheleia--run-formatters function. I think any stdout is being smothered because it's called from the async inferior process. How would I make test-apheleia.el return the formatted buffer to stdout?

Do you just want to

(princ (buffer-string))

? This should print to stdout.

PrimaryCanary

comment created time in 11 hours

Pull request review commentraxod502/apheleia

[DRAFT] Basic Automated Test Harness

+#!/usr/bin/env bash+":"; exec emacs --script "$0" -- "$@" # -*- mode: emacs-lisp; lexical-binding: t; -*-

Nice hack---I'm wondering what the ":" is needed for, though?

PrimaryCanary

comment created time in 11 hours

Pull request review commentraxod502/apheleia

[DRAFT] Basic Automated Test Harness

+#!/usr/bin/env bash+set -euo pipefail++find formatters/ -type f,l ! -name "*.formatted" | while read f;

-type f,l

Do we want to find symlinks, or just files?

PrimaryCanary

comment created time in 11 hours

Pull request review commentraxod502/apheleia

[DRAFT] Basic Automated Test Harness

+Usage: prettier [options] [file/dir/glob ...]++By default, output is written to stdout.+Stdin is read if it is piped to Prettier and no files are given.++Output options:++  -c, --check              Check if the given files are formatted, print a human-friendly summary+                           message and paths to unformatted files (see also --list-different).+  -l, --list-different     Print the names of files that are different from Prettier's formatting (see also --check).+  -w, --write              Edit files in-place. (Beware!)++Format options:++  --arrow-parens <always|avoid>+                           Include parentheses around a sole arrow function parameter.+                           Defaults to always.+  --no-bracket-spacing     Do not print spaces between brackets.+  --embedded-language-formatting <auto|off>+                           Control how Prettier formats quoted code embedded in the file.+                           Defaults to auto.+  --end-of-line <lf|crlf|cr|auto>+                           Which end of line characters to apply.+                           Defaults to lf.+  --html-whitespace-sensitivity <css|strict|ignore>+                           How to handle whitespaces in HTML.+                           Defaults to css.+  --jsx-bracket-same-line  Put > on the last line instead of at a new line.+                           Defaults to false.+  --jsx-single-quote       Use single quotes in JSX.+                           Defaults to false.+  --parser <flow|babel|babel-flow|babel-ts|typescript|espree|meriyah|css|less|scss|json|json5|json-stringify|graphql|markdown|mdx|vue|yaml|html|angular|lwc>+                           Which parser to use.+  --print-width <int>      The line length where Prettier will try wrap.+                           Defaults to 80.+  --prose-wrap <always|never|preserve>+                           How to wrap prose.+                           Defaults to preserve.+  --quote-props <as-needed|consistent|preserve>+                           Change when properties in objects are quoted.+                           Defaults to as-needed.+  --no-semi                Do not print semicolons, except at the beginning of lines which may need them.+  --single-quote           Use single quotes instead of double quotes.+                           Defaults to false.+  --tab-width <int>        Number of spaces per indentation level.+                           Defaults to 2.+  --trailing-comma <es5|none|all>+                           Print trailing commas wherever possible when multi-line.+                           Defaults to es5.+  --use-tabs               Indent with tabs instead of spaces.+                           Defaults to false.+  --vue-indent-script-and-style+                           Indent script and style tags in Vue files.+                           Defaults to false.++Config options:++  --config <path>          Path to a Prettier configuration file (.prettierrc, package.json, prettier.config.js).+  --no-config              Do not look for a configuration file.+  --config-precedence <cli-override|file-override|prefer-file>+                           Define in which order config files and CLI options should be evaluated.+                           Defaults to cli-override.+  --no-editorconfig        Don't take .editorconfig into account when parsing configuration.+  --find-config-path <path>+                           Find and print the path to a configuration file for the given input file.+  --ignore-path <path>     Path to a file with patterns describing files to ignore.+                           Defaults to .prettierignore.+  --plugin <path>          Add a plugin. Multiple plugins can be passed as separate `--plugin`s.+                           Defaults to [].+  --plugin-search-dir <path>+                           Custom directory that contains prettier plugins in node_modules subdirectory.+                           Overrides default behavior when plugins are searched relatively to the location of Prettier.+                           Multiple values are accepted.+                           Defaults to [].+  --with-node-modules      Process files inside 'node_modules' directory.++Editor options:++  --cursor-offset <int>    Print (to stderr) where a cursor at the given position would move to after formatting.+                           This option cannot be used with --range-start and --range-end.+                           Defaults to -1.+  --range-end <int>        Format code ending at a given character offset (exclusive).+                           The range will extend forwards to the end of the selected statement.+                           This option cannot be used with --cursor-offset.+                           Defaults to Infinity.+  --range-start <int>      Format code starting at a given character offset.+                           The range will extend backwards to the start of the first line containing the selected statement.+                           This option cannot be used with --cursor-offset.+                           Defaults to 0.++Other options:++  --no-color               Do not colorize error messages.+  --file-info <path>       Extract the following info (as JSON) for a given file path. Reported fields:+                           * ignored (boolean) - true if file path is filtered by --ignore-path+                           * inferredParser (string | null) - name of parser inferred from file path+  -h, --help <flag>        Show CLI usage, or details about the given flag.+                           Example: --help write+  -u, --ignore-unknown     Ignore unknown files.+  --insert-pragma          Insert @format pragma into file's first docblock comment.+                           Defaults to false.+  --loglevel <silent|error|warn|log|debug>+                           What level of logs to report.+                           Defaults to log.+  --require-pragma         Require either '@prettier' or '@format' to be present in the file's first docblock comment+                           in order for it to be formatted.+                           Defaults to false.+  --stdin-filepath <path>  Path to the file to pretend that stdin comes from.+  --support-info           Print support information as JSON.+  -v, --version            Print Prettier version.++

Hmmm, this seems not quite right! :P

PrimaryCanary

comment created time in 11 hours

Pull request review commentraxod502/apheleia

[DRAFT] Basic Automated Test Harness

 fi  uid="$1" -packages="+# Hashicorp repo for Terraform+curl -fsSL https://apt.releases.hashicorp.com/gpg | gpg --dearmor | \+    sudo tee /usr/share/keyrings/docker-ce-archive-keyring.gpg > /dev/null+sudo apt-add-repository -y "deb [arch=amd64] https://apt.releases.hashicorp.com $(lsb_release -cs) main"

I don't think sudo is necessary. We should be running as root here.

PrimaryCanary

comment created time in 12 hours

Pull request review commentraxod502/apheleia

[DRAFT] Basic Automated Test Harness

 git # just in case we want root sudo +# For formatters installable from opam+ocaml+opam++# For formatters installable from npm+nodejs+npm++# For formatters installable from pip+python3+python3-pip++# Formatters installable from apt+# latexindent+texlive-extra-utils+# gofmt+golang-go+terraform+"++opam_packages="+ocamlformat+"++npm_packages="+prettier+"++pip_packages="+black+"++stack_packages="+brittany "  export DEBIAN_FRONTEND=noninteractive apt-get update-apt-get install -y $(grep -v "^#" <<< "$packages")+apt-get install -y $(grep -v "^#" <<< "$apt_packages")+opam install $(grep -v "^#" <<< "$opam_packages")+npm install --global $(grep -v "^#" <<< "$npm_packages")+pip install $(grep -v "^#" <<< "$pip_packages")+# Stack+curl -sSL https://get.haskellstack.org/ | sh+stack install $(grep -v "^#" <<< "$stack_packages")

You may find that you are unsatisfied with Stack-installed packages. They must be built from source and often take 15+ minutes to install, which is suboptimal for CI. Many Haskell projects provide binary downloads, which are often a better option.

If, despite our best efforts, we can't manage to make the Docker installation take a reasonable amount of time, I can suggest ways that it could be optimized. (My work on https://github.com/raxod502/riju gives me some context on dealing with installing poorly packaged software into Docker images.)

PrimaryCanary

comment created time in 11 hours

issue commentraxod502/prescient.el

It's not possible to filter candidates that contain a similar string more than once

I of course have no objection to adding testing, but have not so far simply because the package in the past was not very complex. It seems to be growing in complexity, and might therefore warrant some tests being added.

I will admit, embarrassingly enough, that almost all the tests in my packages have been added by other people thus far. You could look at https://github.com/raxod502/straight.el/pull/603 and https://github.com/raxod502/apheleia/pull/26 for some examples.

In terms of the approach, I am thinking it would make sense for a filter function to get all of the information that could be needed, in a simple format without preprocessing or postprocessing. There would then be some duplicated code between all the filter functions, which could be eliminated by providing a utility function that would "do the normal thing" (with out of order matching and such) given a regexp generator like we have in our current filter functions.

gexplorer

comment created time in 12 hours

pull request commentmelpa/melpa

Recipe for crossword.el

Those come from this script and really they're fyi/optional.

Boruch-Baum

comment created time in 12 hours

issue commentraxod502/apheleia

Add to MELPA

No need to. The package can be added as soon as anybody makes a pull request.

leungbk

comment created time in 12 hours

Pull request review commentjeremy-compostella/org-msg

Add customization points to enable inline-posting

 into multi-level quote blocks before being passed to the Org mode HTML export engine."   :type '(boolean)) +(defcustom org-msg-send-original-with-reply t+  "Append the original message to the mail when it is sent.+When non-nil, a copy of the original HTML is automatically+appended to a reply that is sent.  This works by saving the+original mail to a temporary file, and adding the name of that+temporary file to the `:reply-to:' property of the org message.+When `org-msg-build' construct the message to send, it will use+the `:reply-to:' property to append the contents of the original+message.++Set to nil to disable this behavior: sending a full copy of the+mail you reply to is against the netiquette and usually a waste+of resources."+  :type '(boolean))++(defcustom org-msg-show-original-below-reply 'unquoted

Let me get things straight. I like your patch and what you are trying to achieve. But I may have had too much of an expectation when I read you were going to work on this and I always think that this is good to have a little debate on the different options. Multiple pair of eyes may slow down the short-term productivity but usually improve the quality.

I'm a bit confused because I'd assume your daily use-case would have been the default for the package. Is it something already supported, or are you just suggesting to introduce org-msg-posting-style so that it can be eventually extended to this use case?

You are correct, my daily use-case is the default behavior of the package but since I introduced the nested quote support I was looking forward to add an automatic inclusion of a quoted version of the latest post content. It would suppress the time I spend copying/pasting. It thought that you were going to address this but you actually let the entire content of the previous email which on a top-posting mail thread can include multiple emails. But to be fair, it would replace the time spent copying/pasting with time suppressing the greetings and the people signature. Note sure I will gain anything out it. But I would like the software design to allow such a behavior easily.

The 'unquoted case above simply does what org-msg did by default. [...] The unquoted case is not included in my suggested list. Do you have a use-case for the 'unquoted case ?

Also blank is unclear to me: is that supposed to remove the original content Blank is remove the content but you are right this should be a consequence of the end-user decision when he triggers the reply function of his mail user agent.

I am trying to decide what make the most sense. I believe that when we hit f it should "disable" org-msg-include-original altogether. I mean if I want to not quote the original email in my answer I don't think it makes sense to include the original email in the buffer and the final email. When F is hit, the behavior should depend on a customization variable. It could be to do nothing (behavior you are looking for and me too sometimes), to only cite the content read-only (outlook top-posting current behavior), to cite the content read-only and also quote the latest post before the signature, include the original emacs unquoted ? (but I can't think of any use-case for this one).

I don't know what is the best solution, but I feel like a customization variable could do it. What do you think ?

What a lengthy discussion for such a small thing :P I apology. This is small feature but this a major change for this module. It has been design to reproduce outlook style email while keeping the flexibility of Emacs at hand and unleash the the power of org-mode for email composing. What you are currently doing is changing the first point and I want it to be done right instead of having to break compatibility later. I also think that the customization variable name is instrumental and I am not convinced by the one you picked.

adl

comment created time in 13 hours

pull request commentmelpa/melpa

Add recipe for quelpa-leaf

OK, I don't like create leaf-* package to add new keyword, but I can't actively stop it; there is no blocker that will refuse to add it to MELPA if it clears @riscy's review.

jcs090218

comment created time in 13 hours

Pull request review commentjeremy-compostella/org-msg

Add customization points to enable inline-posting

 into multi-level quote blocks before being passed to the Org mode HTML export engine."   :type '(boolean)) +(defcustom org-msg-send-original-with-reply t+  "Append the original message to the mail when it is sent.+When non-nil, a copy of the original HTML is automatically+appended to a reply that is sent.  This works by saving the+original mail to a temporary file, and adding the name of that+temporary file to the `:reply-to:' property of the org message.+When `org-msg-build' construct the message to send, it will use+the `:reply-to:' property to append the contents of the original+message.

That's what I thought but:

  1. You should not reference an internal function in this comment as it would bind the internal software architecture to the user documentation.
  2. I don't think this is the appropriate place to include such a documentation. These properties are designed to be modified by the end-user for last minute configuration changes like to not include the original email, add/remove attachments or add or remove alternatives. I could indeed have used buffer-local variable but I wanted them to be visible and easily accessible.The fact that :reply-to: is used for both including the original email and clean-up can indeed be a problem. It could be a good idea to have the original list of files stored in a buffer-local variable for cleaning purposes. Anyway, org mode properties should be documented in the README.org as they are user interface. Feel free to submit a patch.
adl

comment created time in 14 hours

Pull request review commentjeremy-compostella/org-msg

Add customization points to enable inline-posting

 into multi-level quote blocks before being passed to the Org mode HTML export engine."   :type '(boolean)) +(defcustom org-msg-send-original-with-reply t

Agreed.I forgot to update this comment (by removing the second suggestion) after working on the rest of the changes.

adl

comment created time in 14 hours

issue closedclarete/hackernews.el

Drop support for Emacs 23

Debian 7 "Wheezy", the current OldOldStable distribution and the last one to ship Emacs 23, has reached its end-of-life: https://lists.debian.org/debian-announce/2018/msg00001.html. As a Debian Testing/Sid user, I am already unable to build Emacs 23 and will now no longer be able to install it, either. By extension, I will no longer be able to maintain Emacs 23 support for hackernews.

Dropping support for Emacs 23 was already discussed to an extent in #42. I will now wait a week and, if there are no objections in the meantime, will freely drop support for Emacs 23 in subsequent hackernews updates.

TODO

closed time in 17 hours

basil-conto

release clarete/hackernews.el

v0.4.0

released time in 17 hours

Pull request review commentjeremy-compostella/org-msg

Add customization points to enable inline-posting

 into multi-level quote blocks before being passed to the Org mode HTML export engine."   :type '(boolean)) +(defcustom org-msg-send-original-with-reply t+  "Append the original message to the mail when it is sent.+When non-nil, a copy of the original HTML is automatically+appended to a reply that is sent.  This works by saving the+original mail to a temporary file, and adding the name of that+temporary file to the `:reply-to:' property of the org message.+When `org-msg-build' construct the message to send, it will use+the `:reply-to:' property to append the contents of the original+message.

I was trying to add some information I missed when I starting using org-msg. Maybe not the place.

It would be nice to document how org-msg works somewhere. Things like :replty-to: is something that users see in their composition buffer, so they need to know what it serves and what they can do about it. (e.g. I suspect that deleting the line, as an attempt to avoid sending the original message, will leave the temporary files undeleted.) I'm curious to know why this "internal detail" is deliberately visible (as opposed to buffer-local variables, for instances). Is there some plan to extend this somehow?

adl

comment created time in 17 hours

issue openedpashky/restclient.el

Cannot turn off request logging

After making a request, the request body is appended to the response in the same buffer and wrapped as comments.

This is a problem for text/plain response type because it is impossible to distinguish the response body and the request body.

Either provide a different way to log the request body, e.g. log it in a different buffer, or allow users to stop the logging.

created time in 17 hours

Pull request review commentjeremy-compostella/org-msg

Add customization points to enable inline-posting

 into multi-level quote blocks before being passed to the Org mode HTML export engine."   :type '(boolean)) +(defcustom org-msg-send-original-with-reply t+  "Append the original message to the mail when it is sent.+When non-nil, a copy of the original HTML is automatically+appended to a reply that is sent.  This works by saving the+original mail to a temporary file, and adding the name of that+temporary file to the `:reply-to:' property of the org message.+When `org-msg-build' construct the message to send, it will use+the `:reply-to:' property to append the contents of the original+message.++Set to nil to disable this behavior: sending a full copy of the+mail you reply to is against the netiquette and usually a waste+of resources."+  :type '(boolean))++(defcustom org-msg-show-original-below-reply 'unquoted

I'm a bit confused because I'd assume your daily use-case would have been the default for the package. Is it something already supported, or are you just suggesting to introduce org-msg-posting-style so that it can be eventually extended to this use case?

The 'unquoted case above simply does what org-msg did by default. Did I misunderstood what it was doing while describing it? I don't really see how it maps to any of the modes above. The message that is displayed read-only below the signature is not the original message, but the quoted version of the original message (as prepared by the mail-user-agent) then stripped from all quoting levels. So if you are using current org-msg to reply to a message that contains interleaved nested quotes, the message displayed below the sig is now a mix of text from different authors without any nesting indication. So I introduced the t option of org-msg-show-original-below-reply just as as way to preserve that, seeing that org-msg now understand quoting levels anyway. How much of this "unquoting" behavior would you include in the top-posting setting?

Also blank is unclear to me: is that supposed to remove the original content after --citation line, or to remove attachement of the original message, or both? (I use gnus. To reply to a mail I hit F when I want to quote it (the usual case), or f if I don't want to quote it. In the latter case, org-msg has nothing to display : the the text below --citation... is blank. However a copy of the original is still attached by default.)

It's fine if there is only one variable to control both how the reply buffer is presented and how to actual message is eventually built (with original attachment or without), but the doc has to be very clear.

adl

comment created time in 17 hours

PR opened melpa/melpa

Add recipe for exwm-floatmode

Brief summary of what the package does

This package provides a minor mode for manipulating floating frames in EXWM, particularly Picture-in-Picture frames though in theory it can target any floating frame. When enabled, the frame can be moved around by the keyboard, and user-customizable hotkeys can be used to place the frame in static locations.

Live demo here

Direct link to the package repository

https://gitlab.com/mtekman/exwm-floatmode.el

Your association with the package

Maintainer.

Relevant communications with the upstream package maintainer

None needed

Checklist

Please confirm with x:

  • [x] The package is released under a GPL-Compatible Free Software License.
  • [x] I've read CONTRIBUTING.org
  • [x] I've used the latest version of package-lint to check for packaging issues, and addressed its feedback
  • [x] My elisp byte-compiles cleanly
  • [x] M-x checkdoc is happy with my docstrings
  • [x] I've built and installed the package using the instructions in CONTRIBUTING.org
  • [ ] I have confirmed some of these without doing them
+1 -0

0 comment

1 changed file

pr created time in 17 hours

release clarete/hackernews.el

v0.5.0

released time in 18 hours

more